Subject: Re: P2010 External HW IRQ number?

From: Scott Wood <[email-masked]>
Date: Mon, 11 Jun 2012 10:12:01 -0500

On 06/09/2012 04:00 AM, Joakim Tjernlund wrote:
> 
> 
> Scott Wood <[email-masked]> wrote on 2012/06/08 21:23:50:
> 
>> From: Scott Wood <[email-masked]>
>> To: Joakim Tjernlund <[email-masked]>,
>> Cc: <[email-masked]>
>> Date: 2012/06/08 21:25
>> Subject: Re: P2010 External HW IRQ number?
>>
>> On 06/08/2012 06:06 AM, Joakim Tjernlund wrote:
>>>
>>> I have been trying to figure out what irq number to use for external IRQs for
>>> the P2010. There are no HW IRQ numbers in the ref manual and I cannot find
>>> any examples in the kernel either.
>>> How do specify irq numbers in my dts for external IRQs?
>>
>> See Documentation/devicetree/bindings/powerpc/fsl/mpic.txt
> 
> Ahh, now I see. however I must say that I didn't until I read this older version first:
>  http://os1a.cs.columbia.edu/lxr/source/Documentation/powerpc/dts-bindings/fsl/mpic.txt?a=x86;v=2.6.34

Yeah, while the information is there in the new version, it's should be
more prominent and detailed for something that causes so much confusion.

-Scott